Bug 24109 - passwd + nis
passwd + nis
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 08:31 EST by Gerald Teschl
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-17 13:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-01-16 08:31:29 EST
Chaning the password on a yp client does not work.
Passwd asks for the old/new passord as usual and then
issues "passwd: all authentication tokens updated successfully"
but the password is unchanged.
Comment 1 Nalin Dahyabhai 2001-01-16 11:12:44 EST
Is the server running yppasswdd?  This appears to be the only standard method of
changing a password on an NIS server, and it is the method the client built into
pam_unix uses.

The client will also need to have "nis" added to the passwd line in
/etc/pam.d/system-auth which includes pam_unix for this to work.  Versions of
authconfig in Raw Hide .  A bug in pam_unix which caused it to always attempt to
change a user's password via NIS (even if the user's information was in /etc)
should be fixed in Raw Hide.

Please reopen this bug if you find that updating these packages does not fix the
problem.
Comment 2 Nalin Dahyabhai 2001-01-16 11:13:21 EST
Eep.  Versions of authconfig in Raw Hide will automatically add the "nis" option
if NIS is configured.
Comment 3 Gerald Teschl 2001-01-17 13:38:46 EST
Yes, I forgot to check the presence of the nis option (thought I did...).
However, nevertheless an an error should be desplayed in this
case!
Comment 4 Gerald Teschl 2001-01-17 13:39:36 EST
Yes, I forgot to check the presence of the nis option (thought I did...).
However, nevertheless an an error should be displayed in this
case!

Note You need to log in before you can comment on or make changes to this bug.